aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJulien Roy <julien@jroy.ca>2023-02-06 21:18:30 -0500
committerJulien Roy <julien@jroy.ca>2023-02-06 21:18:30 -0500
commitbbb7544b54cf4b5ccef1fe3227dd59c526b37c9d (patch)
tree82e141b50e9ad989f91510e79a079d2aabefb360
parent2b0cc1a74668f023c7747018c55af1ee2f6764b7 (diff)
downloadMrRoy-Overlay-bbb7544b54cf4b5ccef1fe3227dd59c526b37c9d.tar.gz
MrRoy-Overlay-bbb7544b54cf4b5ccef1fe3227dd59c526b37c9d.tar.bz2
MrRoy-Overlay-bbb7544b54cf4b5ccef1fe3227dd59c526b37c9d.zip
dev-python/zope-browserresource: new package, add 4.4
Signed-off-by: Julien Roy <julien@jroy.ca>
-rw-r--r--dev-python/zope-browserresource/Manifest1
-rw-r--r--dev-python/zope-browserresource/metadata.xml26
-rw-r--r--dev-python/zope-browserresource/zope-browserresource-4.4.ebuild57
3 files changed, 84 insertions, 0 deletions
diff --git a/dev-python/zope-browserresource/Manifest b/dev-python/zope-browserresource/Manifest
new file mode 100644
index 0000000..cab1f47
--- /dev/null
+++ b/dev-python/zope-browserresource/Manifest
@@ -0,0 +1 @@
+DIST zope-browserresource-4.4.gh.tar.gz 32098 BLAKE2B 996ee88f6f988f2db6f2a1d59d4e3da804be99bd8b94077759228e13b86824879c78c55df26ef64d0a246768359aea323a1e3f5e00c0600928bf286fe7e3529c SHA512 dc7455398ec78b35c652253dc1c3b3af6f4a7f24b4a0c4778b049f57aeb31b2f997ee47c1ed48f8f0f8d7b8cea1c96fe35adc59c61c5b058cf39d742bed8d70f
diff --git a/dev-python/zope-browserresource/metadata.xml b/dev-python/zope-browserresource/metadata.xml
new file mode 100644
index 0000000..021a5bc
--- /dev/null
+++ b/dev-python/zope-browserresource/metadata.xml
@@ -0,0 +1,26 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <name>Julien Roy</name>
+ <email>julien@jroy.ca</email>
+ </maintainer>
+ <longdescription>
+ This package provides an implementation of browser resources. It also provides directives for defining those resources using ZCML.
+
+ Resources are static files and directories that are served to the browser directly from the filesystem. The most common example are images, CSS style sheets, or JavaScript files.
+
+ Resources are be registered under a symbolic name and can later be referred to by that name, so their usage is independent from their physical location. Resources can also easily be internationalized.
+ </longdescription>
+ <upstream>
+ <maintainer>
+ <name>Zope Foundation and Contributors</name>
+ <email>zope-dev@zope.org</email>
+ </maintainer>
+ <bugs-to>https://github.com/zopefoundation/zope.browserresource/issues</bugs-to>
+ <changelog>https://github.com/zopefoundation/zope.browserresource/blob/master/CHANGES.rst</changelog>
+ <doc>https://zopebrowserresource.readthedocs.io</doc>
+ <remote-id type="github">zopefoundation/zope.browserresource</remote-id>
+ <remote-id type="pypi">zope.browserresource</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/zope-browserresource/zope-browserresource-4.4.ebuild b/dev-python/zope-browserresource/zope-browserresource-4.4.ebuild
new file mode 100644
index 0000000..0b310bb
--- /dev/null
+++ b/dev-python/zope-browserresource/zope-browserresource-4.4.ebuild
@@ -0,0 +1,57 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Browser resources implementation for Zope"
+HOMEPAGE="https://github.com/zopefoundation/zope.browserresource"
+SRC_URI="https://github.com/zopefoundation/zope.browserresource/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+S="${WORKDIR}/${PN/-/\.}-${PV}"
+
+LICENSE="ZPL"
+SLOT="0"
+KEYWORDS="~amd64"
+# Zope Testrunner
+RESTRICT="test"
+
+RDEPEND="
+ dev-python/zope-component[${PYTHON_USEDEP}]
+ dev-python/zope-configuration[${PYTHON_USEDEP}]
+ dev-python/zope-contenttype[${PYTHON_USEDEP}]
+ dev-python/zope-i18n[${PYTHON_USEDEP}]
+ dev-python/zope-interface[${PYTHON_USEDEP}]
+ dev-python/zope-location[${PYTHON_USEDEP}]
+ dev-python/zope-publisher[${PYTHON_USEDEP}]
+ dev-python/zope-schema[${PYTHON_USEDEP}]
+ dev-python/zope-traversing[${PYTHON_USEDEP}]
+ doc? ( dev-python/repoze-sphinx-autointerface[${PYTHON_USEDEP}] )
+ test? (
+ dev-python/zope-testing[${PYTHON_USEDEP}]
+ dev-python/zope-testrunner[${PYTHON_USEDEP}]
+ )
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_sphinx docs
+distutils_enable_tests unittest
+
+src_prepare() {
+ # strip rdep specific to namespaces
+ sed -i -e "/'setuptools'/d" setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+src_test() {
+ cd "${S}/src/zope/untrustedpython" || die
+ distutils-r1_src_test
+}